% Compare integrals across the different steps (no stim, fixed time, all
% free params).
dirOrig = cd;

% No stim
cd('..\11Symmetry Weighting');
load('output_symmetryWeighting_ipopt_v5pt0.mat');
noStimIntegral = output.result.solution.phase.integral;
noStimCost = output.result.objective
% phaseout.integrand(:,32:33) = (phaseout.integrand(:,32:33) - ...
%     ones(nPts,1)*(input.auxdata.integralMax(32:33)+input.auxdata.integralMin(32:33))/2)./(ones(nPts,1)*(input.auxdata.integralMax(32:33)-input.auxdata.integralMin(32:33)));
noStimApInt = noStimIntegral(97:98).*(output.result.setup.auxdata.integralMax(97:98)-output.result.setup.auxdata.integralMin(97:98))...
    + (output.result.setup.auxdata.integralMax(97:98)+output.result.setup.auxdata.integralMin(97:98))/2;

% Fixed time, free stim mag
cd('..\12pt0TA Gas Stim Fixed Timing');
load('output_taGasStimFixedTime_ipopt_v6pt16.mat'); % Has extra integral terms
fixedTimeIntegral = output.result.solution.phase.integral;
fixedTimeCost = output.result.objective
fixedTimeApInt = fixedTimeIntegral(32:33).*(output.result.setup.auxdata.integralMax(32:33)-output.result.setup.auxdata.integralMin(32:33))...
    + (output.result.setup.auxdata.integralMax(32:33)+output.result.setup.auxdata.integralMin(32:33))/2;

% All free stim params
cd('..\12pt5TA Gas Stim Optimization');
load('output_taGasStimOpt_ipopt_v11pt12.mat');
freeTimeIntegral = output.result.solution.phase.integral;
freeTimeCost = output.result.objective
freeTimeApInt = freeTimeIntegral(32:33).*(output.result.setup.auxdata.integralMax(32:33)-output.result.setup.auxdata.integralMin(32:33))...
    + (output.result.setup.auxdata.integralMax(32:33)+output.result.setup.auxdata.integralMin(32:33))/2;

% Choose stim muscles
cd('..\13Choose Stim Muscles');
load('output_chooseStimMuscles_ipopt_v5pt6.mat');
chooseMusclesIntegral = output.result.solution.phase.integral;
chooseMusclesCost = output.result.objective
chooseMusclesApInt = chooseMusclesIntegral(32:33).*(output.result.setup.auxdata.integralMax(32:33)-output.result.setup.auxdata.integralMin(32:33))...
    + (output.result.setup.auxdata.integralMax(32:33)+output.result.setup.auxdata.integralMin(32:33))/2;

% New muscles
cd('..\14New Muscles Stim');
load('output_newMusclesStimOpt_ipopt_v1pt7.mat');
newMusclesIntegral = output.result.solution.phase.integral;
newMusclesCost = output.result.objective
newMusclesApInt = newMusclesIntegral(32:33).*(output.result.setup.auxdata.integralMax(32:33)-output.result.setup.auxdata.integralMin(32:33))...
    + (output.result.setup.auxdata.integralMax(32:33)+output.result.setup.auxdata.integralMin(32:33))/2;


% Calculate and scale different sections of integrals
jerkInt_noStim = sum(noStimIntegral(66:96))*0.001
jerkInt_fixedTime = sum(fixedTimeIntegral(1:31))*0.001
jerkInt_freeTime = sum(freeTimeIntegral(1:31))*0.001
jerkInt_chooseMuscles = sum(chooseMusclesIntegral(1:31))*0.001
jerkInt_newMuscles = sum(newMusclesIntegral(1:31))*0.001

apSqDiff_noStim = ((noStimApInt(1) - noStimApInt(2))^2)
apSqDiff_fixedTime = ((fixedTimeApInt(1) - fixedTimeApInt(2))^2)
apSqDiff_freeTime = ((freeTimeApInt(1) - freeTimeApInt(2))^2)
apSqDiff_chooseMuscles = ((chooseMusclesApInt(1) - chooseMusclesApInt(2))^2)
apSqDiff_newMuscles = ((newMusclesApInt(1) - newMusclesApInt(2))^2)


% propulsiveForceSqDiff = (integral(109) - integral(110))^2;
% q = 1e-2*(sum(integral([13,20,21:31]))*1 ... %13,20,21:23,25,29
%     +sum(integral(32:37).*[0,0.1,0.1,0,0.1,0.1])*0 ...
%     +sum(integral(38:43).*[0.2,0.2,0,0.2,0.2,0])*0 ...
%     +sum(integral(44:55))*0 ...
%     +sum(integral(56:65))*1 ...
%     +sum(integral(66:77))*1 ...
%     +sum(integral(78:108))*0.001 ...
%     +propulsiveForceSqDiff*10);

% phaseout(1).integrand = [[qError...
%     grfError(:,[1:3 7:9]) ...
%     grfError(:,[4:6 10:12]) ...
%     torqueError(:,[1:6,8:13])... % Old: [1:6,8:13,15:end] We don't want to track arms and back
%     neuralCommandError ...
%     handLoadsError ...
%     xppp].^2 ...
%     propulsiveForce];

cd(dirOrig);